# CDL.tab.h File Reference

## Defines

#define | krc 258
#define | cpp 259
#define | fortran 260
#define | object 261
#define | library 262
#define | external 263
#define | alias 264
#define | any 265
#define | asynchronous 266
#define | as 267
#define | class 268
#define | client 269
#define | component 270
#define | deferred 271
#define | schema 272
#define | end 273
#define | engine 274
#define | enumeration 275
#define | exception 276
#define | executable 277
#define | execfile 278
#define | extends 279
#define | fields 280
#define | friends 281
#define | CDL_from 282
#define | generic 283
#define | immutable 284
#define | imported 285
#define | in 286
#define | inherits 287
#define | instantiates 288
#define | interface 289
#define | is 290
#define | like 291
#define | me 292
#define | mutable 293
#define | myclass 294
#define | out 295
#define | package 296
#define | pointer 297
#define | private 298
#define | primitive 299
#define | protected 300
#define | raises 301
#define | redefined 302
#define | returns 303
#define | statiC 304
#define | CDL_to 305
#define | uses 306
#define | virtual 307
#define | IDENTIFIER 308
#define | JAVAIDENTIFIER 309
#define | INTEGER 310
#define | LITERAL 311
#define | REAL 312
#define | STRING 313
#define | INVALID 314

## Variables

YYSTYPE | CDLlval

## Define Documentation

#define alias 264

#define any 265

#define as 267

#define asynchronous 266

#define CDL_from 282

#define CDL_to 305

#define class 268

#define client 269

#define component 270

#define cpp 259

#define deferred 271

#define end 273

#define engine 274

#define enumeration 275

#define exception 276

#define execfile 278

#define executable 277

#define extends 279

#define external 263

#define fields 280

#define fortran 260

#define friends 281

#define generic 283

#define IDENTIFIER 308

#define immutable 284

#define imported 285

#define in 286

#define inherits 287

#define instantiates 288

#define INTEGER 310

#define interface 289

#define INVALID 314

#define is 290

#define JAVAIDENTIFIER 309

#define krc 258

#define library 262

#define like 291

#define LITERAL 311

#define me 292

#define mutable 293

#define myclass 294

#define object 261

#define out 295

#define package 296

#define pointer 297

#define primitive 299

#define private 298

#define protected 300

#define raises 301

#define REAL 312

#define redefined 302

#define returns 303

#define schema 272

#define statiC 304

#define STRING 313

#define uses 306

#define virtual 307

## Variable Documentation

YYSTYPE CDLlval